3CX Phone System v8 RC 1 Released

We are happy to announce a release candidate for 3CX Phone System v8! New additions in this release candidate are:

  • Support for Polycom BLF
  • Support for Polycom Side car
  • Support for Berofix BRI and PRI Gateway cards
  • Support for the new Cisco 5XX range of IP phones

You can download RC1 here

You can download the latest 3CX Assistant (with optionally integrated CRM and 3CXPHone) here

You can find a log of changes here. Please post feedback here

Liked this article?

Get notified of new articles
or share
You might also be interested in:
  1. The link to the 3CX Assistant doesnt work

    September 16, 2009 at 10:01 pm
  2. OK, fixed, sorry about that

    September 16, 2009 at 10:28 pm
  3. Enrico

    Will this release be upgradeable to the final version or will a reinstall be necessary? We have a lot of troubles with v7 on a customer’s site and want to migrate asap.

    September 17, 2009 at 12:39 am
  4. Brian

    I download 3CXAssistantSetup_80.exe from link above. Then run the executable and get the following error:

    The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2738.

    It appears the installer is broken. Any chance you can fix that too?

    September 17, 2009 at 4:56 am
  5. Hi,

    This release will be upgradaeable.

    The Assistant installer works, must be another issue on your machine. Maybe your download was not completed correctly. Please post to our beta forum.

    September 17, 2009 at 12:07 pm
  6. Brian

    I can’t seem to get the 3CXAssistant to connect to v7.1 phone system externally via tunnel. Does it require v8? Is this documented in release notes somewhere?

    September 18, 2009 at 5:10 am
    • You need version 8 to do this…. Version 8 supports remote connections of 3CX Assistant

      September 18, 2009 at 10:53 am
  7. Kumar

    I plan to implement 3cx, with PRI line, can you suggest me a PRI card or a gateway to a successful installation.

    September 20, 2009 at 5:13 pm
    • Hi,

      Where are you based? Do you have E1 or T1? Do you require fax?

      I recommend Beronet for E1, Sangoma for T1 or else the Patton gateways which are solid but also a bit more expensive….

      For more information please mail Chris Martin at cm@3cx.com

      September 21, 2009 at 12:18 pm
  8. Tibor

    Will I be able to upgrade from Version 6.1 directly or do I have to upgrade to 7 first?

    September 21, 2009 at 5:29 pm
    • You have to upgrade to v7.1 first…

      September 21, 2009 at 5:33 pm
  9. Pingback: G7Eleven

    • Thanks for the heads up! :-)

      September 22, 2009 at 11:27 am
  10. Himanshu

    Is there a dial code in v8 to use the ‘barge-in’ feature with regular VOIP phones such as SNOM? if so, what is the dial code? thanks

    September 24, 2009 at 1:40 am
    • Hi Himanshu,

      To barge in you must use the 3CX Assistant. There are rights involved as well as the need to identify the call so its better to use the Windows desktop utility.

      September 24, 2009 at 1:42 pm
  11. Jeff

    BLF doesn’t work with 650s.

    October 17, 2009 at 4:32 am
    • We support the industry standard BLF and this works with Polycom phones if you use the most recent and up to date Polycom firmware. If you have issues, contact Polycom support, possibly you do not have the latest firmware.

      October 19, 2009 at 12:08 pm